---
layout: handbook-page-toc
title: Dev Sub-department
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Vision

Enable engineers across the world by having top notch planning and issue tools for managing their work, awesome tools to organize their code and evolve their codebase through the best code review and online editing experience.
Support organizations to have an easy entrance level to use GitLab by having great import capabilities, a great documentation experience and administration tools.

We thrive for ownership of the things that we built by having a clear view on its performance and stability in production. We constantly challenge ourselves to build a better, faster and more robust application.

## Mission

The Dev sub-department is taking care of the first part of the DevSecOps Lifecycle with the following 3 stages and the specific groups:

1. [Manage](/handbook/product/categories/#manage-stage)
  * [Manage:Access BE](/handbook/engineering/development/dev/manage/)
  * [Manage:Compliance BE](/handbook/engineering/development/dev/manage/)
  * [Manage:Import BE](/handbook/engineering/development/dev/manage/)
  * [Manage:Optimize BE](/handbook/engineering/development/dev/manage/)
  * [Manage:Workspace](/handbook/engineering/development/dev/manage/)
  * [Manage FE](/handbook/engineering/development/dev/manage/)
1. [Plan](/handbook/product/categories/#plan-stage)
  * [Plan:Project Management BE](/handbook/engineering/development/dev/plan-project-management-be/)
  * [Plan:Product Planning & Plan:Certify BE](/handbook/engineering/development/dev/plan-product-planning-certify-be/)
  * [Plan FE](/handbook/engineering/development/dev/fe-plan/)
1. [Create](/handbook/product/categories/#create-stage)
  * [Create: Source Code BE](/handbook/engineering/development/dev/create/source-code-be/)
  * [Create: Source Code FE](/handbook/engineering/development/dev/create-source-code-fe/)
  * [Create: Code Review BE](/handbook/engineering/development/dev/create-code-review-be/)
  * [Create: Code Review FE](/handbook/engineering/development/dev/create-code-review-fe/)
  * [Create: Editor](/handbook/engineering/development/dev/create-editor/)
  * [Create Frontend](/handbook/engineering/development/dev/fe-create/)
  * [Gitaly](/handbook/engineering/development/dev/gitaly/)
1. [Ecosystem](/handbook/product/categories/#ecosystem-stage)
  * [Ecosystem: Foundations](/handbook/engineering/development/dev/ecosystem/foundations/)
  * [Ecosystem: Integrations](/handbook/engineering/development/dev/ecosystem/integrations/)

## Who we are

### Manage

#### Manage:Access BE & Manage:Import BE
<%= direct_team(manager_role: 'Backend Engineering Manager, Manage:Access & Manage:Import') %>

#### Manage:Access FE & Manage:Compliance FE & Manage:Workspace FE
<%= direct_team(manager_role: 'Frontend Engineering Manager, Manage:Access & Manage:Compliance & Manage:Workspace') %>

#### Manage:Compliance BE & Manage:Optimize BE
<%= direct_team(manager_role: 'Backend Engineering Manager, Manage, Manage:Optimize & Manage:Compliance') %>

#### Manage:Optimize FE & Manage:Import FE
<%= direct_team(manager_role: 'Frontend Engineering Manager, Manage:Optimize & Manage:Import') %>

#### Manage:Workspace BE
<%= direct_team(manager_role: 'Acting Backend Engineering Manager, Manage:Workspace') %>


### Plan

#### Plan:Project Management
<%= direct_team(manager_role: 'Backend Engineering Manager, Plan:Project Management') %>

#### Plan:Product Planning
<%= direct_team(manager_role: 'Backend Engineering Manager, Plan:Product Planning') %>

#### Plan Frontend
<%= direct_team(manager_role: 'Frontend Engineering Manager, Plan') %>

### Create

#### Create:Source Code
<%= direct_team(manager_role: 'Backend Engineering Manager, Create:Source Code') %>

#### Create:Code Review
<%= direct_team(manager_role: 'Backend Engineering Manager, Create:Code Review') %>

#### Create:Editor
<%= direct_team(manager_role: 'Engineering Manager, Create:Editor') %>

#### Create:Static Site Editor
<%= direct_team(manager_role: 'Backend Engineering Manager, Create:Static Site Editor') %>

#### Create:Source Code Frontend
<%= direct_team(manager_role: 'Frontend Engineering Manager, Create:Source Code, Create:Code Review, Delivery & Scalability', role_regexp: /(?!Code Review)Source Code/) %>

#### Create:Code Review Frontend
<%= direct_team(manager_role: 'Frontend Engineering Manager, Create:Source Code, Create:Code Review, Delivery & Scalability', role_regexp: /(?!Source Code)Code Review/) %>

#### Gitaly
<%= direct_team(manager_slug: 'tim-z', role_regexp: /Gitaly/) %>

#### Ecosystem Backend

<%= direct_team(manager_role: 'Backend Engineering Manager, Ecosystem') %>

#### Ecosystem Frontend

<%= direct_team(manager_role: 'Engineering Manager, Ecosystem') %>

## Stable Counterparts

The following members of other functional teams are our stable counterparts:

<%= stable_counterparts(role_regexp: /[,&] Dev/, direct_manager_role: 'Director of Engineering, Dev') %>

## Common Links

 * Issue Tracker
 * Slack Channels
    * #sd_dev_engineering
    * #s_manage
    * #s_plan
    * #s_create
